# $Revision: 1.10 $, $Date: 2002/08/06 13:34:07 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	AppConfig
Summary:	AppConfig Perl module
Summary(cs):	Modul AppConfig pro Perl
Summary(da):	Perlmodul AppConfig
Summary(de):	AppConfig Perl Modul
Summary(es):	Mdulo de Perl AppConfig
Summary(fr):	Module Perl AppConfig
Summary(it):	Modulo di Perl AppConfig
Summary(ja):	AppConfig Perl ⥸塼
Summary(ko):	AppConfig  
Summary(no):	Perlmodul AppConfig
Summary(pl):	Modu Perla AppConfig
Summary(pt):	Mdulo de Perl AppConfig
Summary(pt_BR):	Mdulo Perl AppConfig
Summary(ru):	  Perl AppConfig
Summary(sv):	AppConfig Perlmodul
Summary(uk):	  Perl AppConfig
Summary(zh_CN):	AppConfig Perl ģ
Name:		perl-AppConfig
Version:	1.52
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
Obsoletes:	perl-App-Config
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppConfig is module for reading configuration files and parsing
command line arguments.

%description -l pl
AppConfig jest moduem do czytania plikw konfiguracyjnych oraz
obsugi argumentw z linii polece.

%prep
%setup -q -n %{pdir}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/AppConfig
%{perl_sitelib}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-AppConfig.spec,v $
Revision 1.10  2002/08/06 13:34:07  ankry
- obsoletes: perl-App-Config
- cleaning, translations
- release 5

Revision 1.9  2002/07/13 15:38:44  qboosh
- typo, new %%doc, release 4

Revision 1.8  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 06:43:31  kloczek
- release 3.

Revision 1.6  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:39:11  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.1  2001/05/09 13:06:31  misiek
initial pld release
